package com.diegocayo.organizame.domain.usecase

import com.diegocayo.organizame.domain.model.Subject
import com.diegocayo.organizame.domain.repository.SubjectRepository
import javax.inject.Inject

class SaveSubjectUseCase @Inject constructor(
    private val repository: SubjectRepository
) {
    suspend operator fun invoke(subject: Subject): Long = repository.insertSubject(subject)
} 